Page MenuHomePhabricator

Create a PHP service interface for accessing entity redirects
Closed, ResolvedPublic

Description

We store entity redirects in the wb_entity_per_page table, with an index on the epp_redirect_target column. This should make it trivial to implement a service object with the following methods

  • getRedirectTarget( EntityId ) returns EntityId|null
  • getRedirectsTo( EntityId )returns EntityId[]

Event Timeline

daniel created this task.Apr 17 2015, 1:27 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 1:27 PM
hoo added a subscriber: hoo.Apr 23 2015, 7:33 AM

Why did this get added to the sprint if we try to remove entity per page? Also there's already EntityPerPage::getRedirectForEntityId.

Change 208715 had a related patch set uploaded (by Daniel Kinzler):
Make EntityPerPage::listEntities optionally include redirects

https://gerrit.wikimedia.org/r/208715

Change 208715 merged by jenkins-bot:
Make EntityPerPage::listEntities optionally include redirects

https://gerrit.wikimedia.org/r/208715

daniel closed this task as Resolved.May 4 2015, 8:00 PM
daniel claimed this task.
daniel moved this task from Backlog to Done on the Wikidata-Sprint-2015-04-21 board.